from conf import get_config
import pterodactylReader, fileDownloader, datetime, discordPoster

conf = get_config()
api_client = pterodactylReader.init_client(config=conf)


backups_dict = pterodactylReader.get_backups_list(api_client=api_client, server_id=conf.server_id)
backup_uuid = pterodactylReader.get_last_backup_id(backups_dict)
backup_url = pterodactylReader.get_backup_url(api_client=api_client, server_id=conf.server_id, backup_id=backup_uuid)
print(backups_dict)
print("------------------")
print(backup_uuid)
print("------------------")
print(backup_url)
print("------------------")
backup_local_path = fileDownloader.create_dirs_and_download(backup_url=backup_url, date=datetime.datetime.now(), base_path=conf.save_dir)

if conf.discord_enabled == 1:
    discordPoster.send_url_to_discord(webhook_url=conf.discord_webhook, backup_url=backup_url, datetime=datetime.datetime.now)

