from pydactyl import PterodactylClient
from conf import Config
import datetime


def init_client(config: Config) -> PterodactylClient:
    return PterodactylClient(url=config.api_server, api_key=config.api_token)



def get_backups_list(api_client: PterodactylClient, server_id: str):
    data = api_client.client.servers.backups.list_backups(server_id=server_id)
    return sorted(data['data'], key=lambda x: datetime.datetime.fromisoformat(x['attributes']['created_at']), reverse=True)
    

def get_last_backup_id(backup_dict: list):
    return backup_dict[0]["attributes"]["uuid"]


def get_backup_url(api_client: PterodactylClient, server_id: str, backup_id: str) -> str:
    return api_client.client.servers.backups.get_backup_download(server_id=server_id, backup_id=backup_id)["attributes"]["url"]
    
